type token =
  | LPAREN
  | RPAREN
  | LBRACK
  | RBRACK
  | LBRACE
  | RBRACE
  | PLUS
  | MINUS
  | TIMES
  | DIVIDE
  | MOD
  | ASSIGN
  | EQ
  | LE
  | SE
  | NEQ
  | LARGER
  | SMALLER
  | AND
  | OR
  | NOT
  | SEMICOLON
  | COMMA
  | COMMENT
  | DOLLAR
  | INTEGER
  | STRING
  | FLOAT
  | BOOL
  | LINE
  | CIRCLE
  | POINT
  | VOID
  | RETURN
  | IF
  | ELSE
  | ELIF
  | FOR
  | WHILE
  | END
  | BREAK
  | CONTINUE
  | DO
  | THEN
  | PASS
  | LIB
  | INT of (int)
  | FLO of (float)
  | STR of (string)
  | ID of (string)
  | BOL of (bool)
  | EOF

val program :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf ->  Ast.program
